Subject: Re: Yubah Gold - Fact or Fantasy?
From: [email-masked] (Richard v.d. Horst)
Date: 14 Nov 93 22:36:16 GMT
Newsgroups: alt.drugs

Eric Summers <[email-masked]> writes:
> I was recntly perusing through a copy of high times when I ran across an
> ad stating that this Yubah Gold stuff is almost as good as MJ, and is legal
> to boot. Anyone on here want to confirm or deny the worth and or legality of
> this substance. The offering price was $30 and ounce plus 20 for each ounce
> thereafter. Or maybe it was 20 and 10?

I heard it consists of parts of Damiana, Passionflower, Skullcap, Lobelia
and Spearment, and can give you a weak buzz; no real alternative...

Rich